NX Open C++ Reference Guide
|
Represents a Die::AddSurfBuilder builder
To create a new instance of this class, use Die::DieCollection::CreateAddSurfBuilder
Created in NX6.0.0.
More...
Public Types | |
enum | Methods { MethodsSectional, MethodsCurveMesh, MethodsChannelTunnelCap, MethodsMultiFaceBlend, MethodsWallsOnly, MethodsDiskFaceBlend, MethodsSphereFaceBlend } |
Settings for the type of addendum surface being created. More... | |
Public Member Functions | |
bool | Associative () |
Returns the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created. | |
NXOpen::Expression * | ConcaveCornerRadius () |
Returns the concave corner radius value Created in NX6.0.0. | |
void | CreateDefaultSpine () |
Creates a smoothed spine curve from the forming boundary using the spine radius value Created in NX7.5.0. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Point * | LimitPoint1 () |
Returns the first end point to limit the extent of the surface along the tangency curve. | |
NXOpen::Point * | LimitPoint2 () |
Returns the second end point to limit the extent of the surface along the tangency curve. | |
NXOpen::Die::DieLimitsBuilder * | Limits () |
Returns the limits to control the span of the addendum Created in NX7.5.0. | |
NXOpen::Die::AddSurfBuilder::Methods | Method () |
Returns the addendum surface output method. | |
NXOpen::Point * | RefPoint () |
Returns the keep point for trimming. | |
NXOpen::SelectNXObjectList * | SelectSection () |
Returns the addendum section feature to define the shape of the addendum surface. | |
void | SetAssociative (bool associative) |
Sets the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetLimitPoint1 (NXOpen::Point *point) |
Sets the first end point to limit the extent of the surface along the tangency curve. | |
void | SetLimitPoint2 (NXOpen::Point *point) |
Sets the second end point to limit the extent of the surface along the tangency curve. | |
void | SetMethod (NXOpen::Die::AddSurfBuilder::Methods type) |
Sets the addendum surface output method. | |
void | SetRefPoint (NXOpen::Point *point0) |
Sets the keep point for trimming. | |
void | SetSewn (bool sewn) |
Sets the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output. | |
void | SetSpineRadius (double spineRadius) |
Sets the spine radius, used by Die::AddSurfBuilder::CreateDefaultSpine Created in NX7.5.0. | |
bool | Sewn () |
Returns the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output. | |
NXOpen::ScCollector * | Spine () |
Returns the spine string, which determines the orientation of the sample planes Created in NX7.5.0. | |
double | SpineRadius () |
Returns the spine radius, used by Die::AddSurfBuilder::CreateDefaultSpine Created in NX7.5.0. | |
NXOpen::ScCollector * | TrimBound () |
Returns the trimming boundary for the addendum surface. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die::AddSurfBuilder builder
To create a new instance of this class, use Die::DieCollection::CreateAddSurfBuilder
Created in NX6.0.0.
Settings for the type of addendum surface being created.
MethodsSectional |
Sweep section around tangency curve. |
MethodsCurveMesh |
Modeling curve mesh. |
MethodsChannelTunnelCap |
To close an end cap. |
MethodsMultiFaceBlend |
Face blend between sets of walls. |
MethodsWallsOnly |
Produces just the walls, no blend. |
MethodsDiskFaceBlend |
Disk type face blend. |
MethodsSphereFaceBlend |
Spherical type face blend. |
bool NXOpen::Die::AddSurfBuilder::Associative | ( | ) |
Returns the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::AddSurfBuilder::ConcaveCornerRadius | ( | ) |
Returns the concave corner radius value
Created in NX6.0.0.
License requirements : None
void NXOpen::Die::AddSurfBuilder::CreateDefaultSpine | ( | ) |
Creates a smoothed spine curve from the forming boundary using the spine radius value
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Die::AddSurfBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Die::AddSurfBuilder::LimitPoint1 | ( | ) |
Returns the first end point to limit the extent of the surface along the tangency curve.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Die::AddSurfBuilder::LimitPoint2 | ( | ) |
Returns the second end point to limit the extent of the surface along the tangency curve.
Created in NX6.0.0.
License requirements : None
NXOpen::Die::DieLimitsBuilder* NXOpen::Die::AddSurfBuilder::Limits | ( | ) |
Returns the limits to control the span of the addendum
Created in NX7.5.0.
License requirements : None
NXOpen::Die::AddSurfBuilder::Methods NXOpen::Die::AddSurfBuilder::Method | ( | ) |
Returns the addendum surface output method.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Die::AddSurfBuilder::RefPoint | ( | ) |
Returns the keep point for trimming.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Die::AddSurfBuilder::SelectSection | ( | ) |
Returns the addendum section feature to define the shape of the addendum surface.
Created in NX6.0.0.
License requirements : None
void NXOpen::Die::AddSurfBuilder::SetAssociative | ( | bool | associative | ) |
Sets the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
associative | associative |
void NXOpen::Die::AddSurfBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
distanceTolerance | distancetolerance |
void NXOpen::Die::AddSurfBuilder::SetLimitPoint1 | ( | NXOpen::Point * | point | ) |
Sets the first end point to limit the extent of the surface along the tangency curve.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
point | point |
void NXOpen::Die::AddSurfBuilder::SetLimitPoint2 | ( | NXOpen::Point * | point | ) |
Sets the second end point to limit the extent of the surface along the tangency curve.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
point | point |
void NXOpen::Die::AddSurfBuilder::SetMethod | ( | NXOpen::Die::AddSurfBuilder::Methods | type | ) |
Sets the addendum surface output method.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
void NXOpen::Die::AddSurfBuilder::SetRefPoint | ( | NXOpen::Point * | point0 | ) |
Sets the keep point for trimming.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
point0 | point0 |
void NXOpen::Die::AddSurfBuilder::SetSewn | ( | bool | sewn | ) |
Sets the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output.
True indicates one sewn sheet body will be output.
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
sewn | sewn |
void NXOpen::Die::AddSurfBuilder::SetSpineRadius | ( | double | spineRadius | ) |
Sets the spine radius, used by Die::AddSurfBuilder::CreateDefaultSpine
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
spineRadius | spineradius |
bool NXOpen::Die::AddSurfBuilder::Sewn | ( | ) |
Returns the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output.
True indicates one sewn sheet body will be output.
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Die::AddSurfBuilder::Spine | ( | ) |
Returns the spine string, which determines the orientation of the sample planes
Created in NX7.5.0.
License requirements : None
double NXOpen::Die::AddSurfBuilder::SpineRadius | ( | ) |
Returns the spine radius, used by Die::AddSurfBuilder::CreateDefaultSpine
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Die::AddSurfBuilder::TrimBound | ( | ) |
Returns the trimming boundary for the addendum surface.
Created in NX6.0.0.
License requirements : None